;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
;************************************************

begin

;**************   READ IN FILES   ***************
 f = addfile("data/tas_Amon_MPI-ESM-LR_CELUrcp45_r1i1p1_208101-210012_yearmean_timmean_zonmean.nc","r")
 f_ctrl  = addfile("data/tas_Amon_MPI-ESM-LR_esmrcp85_r1i1p1_208101-210012_yearmean_timmean_zonmean.nc","r")
 f_max = addfile("data/tasmax_day_MPI-ESM-LR_CELUrcp45_r1i1p1_2081-2100_yearmax_timmean_zonmean.nc","r")
 f_max_ctrl  = addfile("data/tasmax_day_MPI-ESM-LR_esmrcp85_r1i1p1_2081-2100_yearmax_timmean_zonmean.nc","r")
 f_min = addfile("data/tasmin_day_MPI-ESM-LR_CELUrcp45_r1i1p1_2081-2100_yearmin_timmean_zonmean.nc","r")
 f_min_ctrl  = addfile("data/tasmin_day_MPI-ESM-LR_esmrcp85_r1i1p1_2081-2100_yearmin_timmean_zonmean.nc","r")
 f_pop =  addfile("data/pop_density_2005_missing_zonmean.nc","r")

; ************ READ IN VARIABLES  ***************

 temp_CE=f->tas(0,:,0)
 temp_ctrl=f_ctrl->tas(0,:,0)
 temp_max_CE=f_max->tasmax(0,:,0)
 temp_max_ctrl=f_max_ctrl->tasmax(0,:,0)
 temp_min_CE=f_min->tasmin(0,:,0)
 temp_min_ctrl=f_min_ctrl->tasmin(0,:,0)

 diff_1   = temp_CE
 diff_max = temp_max_CE
 diff_min = temp_min_CE

 diff_1   = temp_ctrl - temp_CE
 diff_max = temp_max_ctrl - temp_max_CE
 diff_min = temp_min_ctrl - temp_min_CE

 lat=f_ctrl->lat

 pop   = f_pop->population(0,:,0)
 lat_2 = f_pop->lat

 temp = new((/3,dimsizes(lat)/),typeof(temp_ctrl))
 temp(0,:) = diff_1
 temp(1,:) = diff_max
 temp(2,:) = diff_min

;**********  OPEN GRAPHICS WORKSTATION *********
 wks_type = "eps"
 wks = gsn_open_wks(wks_type,"Figure3B")
;**********  GENERAL PLOT SETTINGS  ************
 
 xyres                 = True         ; xy plot mods desired
 xyres@vpHeightF       = 0.6            
 xyres@vpWidthF        = 0.53
 xyres@xyMonoDashPattern  = True
 xyres@xyLineColor = "black"
 xyres@xyLineColors = (/"black","red","blue"/)
 xyres@xyLineThicknesses = (/4.,3.,3./)
 xyres@tiYAxisOn = False
 xyres@tiXAxisOn = True
 xyres@tiXAxisString = "SAT (FOR - REF) / K"
 xyres@tiXAxisFontHeightF = 0.036
 xyres@tmXBLabelFontHeightF = 0.032
 xyres@tmXTMode = "Explicit"
 xyres@tmXTValues    = (/ 0,0.5,1.,1.5,2.,2.5,3./)
 xyres@tmXTLabels  = (/ "0","-0.5","-1","-1.5","-2","-2.5","-3"/)
 xyres@tmXTMinorValues= (/ 0.1,0.2,0.3,0.4,0.6,0.7,0.8,0.9,1.1,1.2,1.3,1.4,1.6,1.7,1.8,1.9,2.1,2.2,2.3,2.4,2.6,2.7,2.8,2.9/)
 pop_col = "grey40"
 xyres_pop                 = True         ; xy plot mods desired
 xyres_pop@vpHeightF       = 0.6            
 xyres_pop@vpWidthF        = 0.53
 xyres_pop@xyMonoDashPattern  = True
 xyres_pop@xyLineColor = pop_col
 xyres_pop@xyLineThicknesses = (/3./)
 xyres_pop@tiYAxisOn = False
 xyres_pop@tiXAxisOn = True
 xyres_pop@tiXAxisString = "Population density / km~S~-2"
 xyres_pop@tiXAxisFontColor = pop_col
 xyres_pop@tiXAxisFontHeightF = 0.036
 xyres_pop@tmXBLabelFontColor = pop_col
 xyres_pop@tmXBLabelFontHeightF = 0.032
 xyres@tmYRLabelsOn = False
 xyres_pop@tmYRLabelsOn = False
 xyres@trXMinF  = 0.0
 xyres@pmLegendDisplayMode    = "Always" 
 xyres@pmLegendSide           = "Bottom"               ; Change location of 
 xyres@pmLegendParallelPosF   = .67                  ; move units right
 xyres@pmLegendOrthogonalPosF = -0.4                ; move units down
 xyres@pmLegendWidthF         = 0.08                ; Change width and
 xyres@pmLegendHeightF        = 0.18                ; height of legend.
 xyres@lgPerimOn              = False               ; turn off box around
 xyres@lgLabelFontHeightF     = .03                 ; label font height
 xyres@xyExplicitLegendLabels = (/" annual mean"," warmest day"," coldest night"/)
 xyres@lgItemOrder  = (/ 2,1,0 /)   ; Reorder the legends
 
 plot= gsn_csm_x2y2(wks,pop,temp,lat_2,lat,xyres_pop,xyres)

 
end
